sfcode An Online Competing and Development Environment

resolve-from

> Resolve the path of a module like `require.resolve()` but from a given path

# Install

$ npm install --save resolve-from

# Usage

const resolveFrom = require('resolve-from');
// There is a file at `./foo/bar.js`
resolveFrom('foo', './bar');
//=> '/Users/sindresorhus/dev/test/foo/bar.js'

# API

## resolveFrom(fromDir, moduleId)

Like `require()`, throws when the module can't be found.

## resolveFrom.silent(fromDir, moduleId)

Returns `null` instead of throwing when the module can't be found.

### fromDir

Type: `string`

Directory to resolve from.

### moduleId

Type: `string`

What you would use in `require()`.

# Tip

Create a partial using a bound function if you want to resolve from the same `fromDir` multiple times:

const resolveFromFoo = resolveFrom.bind(null, 'foo');
resolveFromFoo('./bar');
resolveFromFoo('./baz');

# Related

- resolve-cwd - Resolve the path of a module from the current working directory
- req-from - Require a module from a given path
- req-cwd - Require a module from the current working directory
- resolve-pkg - Resolve the path of a package regardless of it having an entry point
- lazy-req - Require modules lazily

# License

MIT © Sindre Sorhus